#ifndef __TABLESTORAGE_H__
#define __TABLESTORAGE_H__


#include "storage.h"
#include "conf.h"


class TableStorage: public Storage
{
    private:
        HTable conf;
    
    public:
        TableStorage();
        virtual ~TableStorage();

    public:
        virtual int get(const std::string &name, int dflt);
        virtual std::string get(const std::string &name, 
                const std::string &dflt);
        virtual void set(const std::string &name, int value);
        virtual void set(const std::string &name, const std::string &value);
        virtual void flush();

    private:
        std::string getFileName();
};


#endif

