#ifndef __STORAGE_H__
#define __STORAGE_H__


#include <string>


class Storage
{
    public:
        virtual ~Storage() { };

    public:
        virtual int get(const std::string &name, int dflt) = 0;
        virtual std::string get(const std::string &name, 
                const std::string &dflt) = 0;
        virtual void set(const std::string &name, int value) = 0;
        virtual void set(const std::string &name, const std::string &value) = 0;
        virtual void flush() = 0;
};


Storage* getStorage();


#endif

